package com.slibra.common.constant;

/**
 * 缓存的key 常量
 * 
 *
 */
public class CacheConstants
{
    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";



    //自定义Redis常量
    public static final String REDIS_KEY_SMSLOGIN_SMSCODE = "redis_key_smslogin_smscode:";
    public static final Integer REDIS_EXPIRATION_SMSLOGIN_SMSCODE = 10;

    //七牛云上传token的key
    public static final String QINIUYUN_UPLOAD_KEY = "qiniuyun_upload_key";
    public static final Integer QINIUYUN_UPLOAD_KEY_TIME = 3500;//3500秒 小于3600

}
