package com.slibra.business.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AiChatReq {


    //会话Id(每一通通话的唯一Id,该 id 和recordId 一一对应)
    private String sessionId;

    //用户id(来电手机号/电话)
    private String userId;

    //机器人话术节点id （对话开始第一次请求传参为“start”或者“”）
    private String nodeId;

    //语音识别结果，用户输入的小区名称或者用户号
    private String asrText;

    //调用业务具体的方法，返回响应的处理结果
    private String method;


}
