package com.slibra.web.controller.business;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONWriter;
import com.github.pagehelper.PageInfo;
import com.slibra.business.req.AiChatRes;
import com.slibra.business.req.ChatReq;
import com.slibra.business.req.WorkOrderReq;
import com.slibra.business.service.IFrontService;
import com.slibra.common.DecimalUtils;
import com.slibra.common.constant.HttpStatus;
import com.slibra.common.constant.MyConstants;
import com.slibra.common.core.controller.BaseController;
import com.slibra.common.core.domain.AjaxResult;
import com.slibra.common.core.domain.R;
import com.slibra.common.core.page.TableDataInfo;
import com.slibra.common.enums.BusinessEnum;
import com.slibra.common.exception.ServiceException;
import com.slibra.common.utils.DateUtils;
import com.slibra.common.utils.SecurityUtils;
import com.slibra.common.utils.StringUtils;
import com.slibra.common.utils.poi.ExcelUtil;
import com.slibra.common.utils.uuid.IdUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.math.BigDecimal;
import java.util.*;
import java.util.stream.Collectors;

import static com.slibra.common.constant.MyConstants.*;

/**
 * 前端用户相关接口
 */
@RestController
@RequestMapping("/bigModel")
@Slf4j
public class FrontController extends BaseController {


    @Autowired
    private IFrontService frontService;


/**
      * 获取大屏的实时数据 + 统计数据
      * @return
      */
    @GetMapping(value = "/hello")
    public AjaxResult hello()
    {
        log.info("进入了 测试springmvc 接口");
        return AjaxResult.success("success");
    }


    //todo 后面换成post
    @GetMapping("/queryBusinessInfo")
    public AiChatRes queryBusinessInfo(){
        AiChatRes aiChatRes = AiChatRes.builder().build();
        HashMap<String, Object> map = new HashMap<>();
        map.put("contents", Arrays.asList("1", "2", "3", "4", "5", "6", "7", "8", "9"));
        aiChatRes.setData(map);
        return aiChatRes;
    }


//    /**
//     * 获取大屏的实时数据 + 统计数据
//     * @return
//     */
//    @GetMapping(value = "/realTimeData")
//    public AjaxResult realTimeData()
//    {
//        log.info("进入了 获取大屏的实时数据 + 统计数据 接口");
//        return AjaxResult.success(frontService.countInfo());
//    }
//
//
//    /**
//     * 分页获取大模型的问答记录
//     * @param tXinyiChatRecord
//     * @return
//     */
//    @GetMapping("/bigModel/qa/pageList")
//    public TableDataInfo qaPageList(TXinyiChatRecord tXinyiChatRecord)
//    {
//        log.info("进入了 分页获取大模型的问答记录 接口");
//        //获取登录用户信息
//        Long userId = SecurityUtils.getUserId();
//        tXinyiChatRecord.setUserId(String.valueOf(userId));
//        startPage();
//        return getDataTable(xinyiChatRecordMapper.selectTXinyiChatRecordFirstList(tXinyiChatRecord));
//    }

































}
